Redmine - Defect #1181

Connection to HTTPS subversion repository fails

2008-05-06 12:28 - Philippe Lafoucriere

Status: Closed

Priority: Normal

Assignee:

Category: Accounts / authentication

Target version:

Resolution:

Start date: 2008-05-06
Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description
Hi,

| have some troubles configuring my redmine instance with a https svn repo. | have the following exception :

Error parsing svn output: #<REXML::ParseException:

No close tag for ["lists", "list"]>

/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:26:in "parse'

/usr/lib/ruby/1.8/rexml/document.rb:190:in “build'

/usr/lib/ruby/1.8/rexml/document.rb:45:in “initialize'
/var/www/redmine-0.7.1/1ib/redmine/scm/adapters/subversion_adapter.rb:65:in "new'

/var/www/redmine-0.
/var/www/redmine-0.
/var/www/redmine-0.
/var/www/redmine-0.
/var/www/redmine-0.
/var/www/redmine-0.
/var/www/redmine-0.
/var/www/redmine-0.
rb:125:in "“send’
.1/1lib/redmine/scm/adapters/subversion_adapter.rb:65:in “entries'
.1/1lib/redmine/scm/adapters/abstract_adapter.rb:127:in “call'
.1/1lib/redmine/scm/adapters/abstract_adapter.rb:127:in “shellout'
.1/1lib/redmine/scm/adapters/abstract_adapter.rb:125:in " popen'
.1/1lib/redmine/scm/adapters/abstract_adapter.rb:125:in “shellout'
.1/1lib/redmine/scm/adapters/subversion_adapter.rb:62:in “entries'
.1/app/models/repository.rb:52:in “entries'
.1/vendor/rails/activerecord/lib/active_record/associations/association_proxy.

/var/www/redmine-0.7.1/vendor/rails/activerecord/lib/active_record/associations/association_proxy.

rb:125:in ‘method_missing'

/var/www/redmine-0.7.1/app/controllers/repositories_controller.rb:55:in " show'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/base.rb:1158:in "“send'
/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/base.rb:1158:in “perform_acti

on_without_filters'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/filters.rb:697:in ‘call_filte

rs'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/filters.rb:689:in “perform_ac

tion_without_benchmark'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in "perfor

m_action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in "measure'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perfor

m_action_without_rescue'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in ‘perform_act

ion_without_caching'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/caching.rb:678:in "passenger_

orig_perform_action'

/var/www/redmine-0.7.1/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/qu

ery_cache.rb:33:in "“cache'

/var/www/redmine-0.7.1/vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in “cache'
/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/caching.rb:677:in "passenger_

orig_perform_action'

/usr/lib/ruby/gems/1.8/gems/passenger-1.0.4/1ib/passenger/request_handler.rb:145:in ‘perform_actio

n'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/base.rb:524:in "send'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/base.rb:524:in “process_witho

ut_filters'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/filters.rb:685:in "process_wi

thout_session_management_support'

/var/www/redmine-0.7.1/vendor/rails/actionpack/lib/action_controller/session_management.rb:123:1in

‘process'
/var/www/redmine-0.7.
/var/www/redmine-0.7.
request'
/var/www/redmine—-0.7.
hV
/var/www/redmine-0.7.
h_cgi’
/var/www/redmine-0.7.
/usr/lib/ruby/gems/1.
st'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
uest_handler'
/usr/lib/ruby/gems/1.
awn_application'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
awn_application’
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
awn_application'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
nously'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
n_application'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
n_application'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
nously'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
on'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
on'
/usr/lib/ruby/gems/1.
plication’
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
nously'
/usr/lib/ruby/gems/1.

1/vendor/rails/actionpack/lib/action_controller/base.rb:388:in "process'
1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in “handle_

1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in “dispatc

1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in “dispatc

1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:

8/gems/passenger—-1.0.4/1ib/passenger/request_handler.rb:304:in

8/gems/passenger—-1.
8/gems/passenger—-1.

8/gems/passenger-1.

8/gems/passenger—1.
8/gems/passenger—1.

8/gems/passenger-1.
8/gems/passenger—-1.

8/gems/passenger-1.
8/gems/passenger—1.
8/gems/passenger—1.

8/gems/passenger—1.
8/gems/passenger—1.
8/gems/passenger—1.
8/gems/passenger-1.
8/gems/passenger—1.

8/gems/passenger—1.
8/gems/passenger—1.

8/gems/passenger—1.
8/gems/passenger-1.
8/gems/passenger—1.

8/gems/passenger—1.
8/gems/passenger—1.
8/gems/passenger—1.
8/gems/passenger—1.
8/gems/passenger—1.

8/gems/passenger-1.
8/gems/passenger—1.

8/gems/passenger—1.
8/gems/passenger—1.
8/gems/passenger—1.

8/gems/passenger-1.

8/gems/passenger—1.

No close tag for ["lists", "list"]

Line:
Position:

Last 80 unconsumed characters:

Output was:

<?xml version="1.0"7?>

<lists>
<list
path="https://svn.

repo.com/myrepo">

Rendering template within layouts/base
(2 regs/sec) | Rendering: 0.00745 (2%) | DB: 0.00000 (0%

Completed in 0.36843
.4/1lib/passenger/request_handler.rb:
.4/1ib/passenger/application_spawner

.4/1ib/passenger/application_spawner.

.4/1ib/passenger/application_spawner.
.4/1ib/passenger/application_spawner.

.4/1ib/passenger/application_spawner.
.4/1ib/passenger/application_spawner.

.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/abstract_server.rb:

.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/application_spawner

.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/abstract_server.rb:
.4/1lib/passenger/abstract_server.rb:

.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/abstract_server.rb:
.4/1ib/passenger/abstract_server.rb:
.4/1lib/passenger/framework_spawner.rb:
.4/1ib/passenger/spawn_manager.rb:10

.4/1ib/passenger/spawn_manager.rb:10
.4/1ib/passenger/spawn_manager.rb:10

.4/1ib/passenger/spawn_manager.rb:18

.4/bin/passenger—spawn-server: 32

180:
.rb:

rb:

rb:
rb:

rb:
rb:

291:
291:
147:

114:1

108:
108:
.rb:

291:

291:1

147:
114:
108:
108:

6:1in

2:1in
2:in

3:in

.4/1lib/passenger/abstract_server.rb:291:in
.4/1ib/passenger/abstract_server.rb:291:in "main_loop'
.4/1ib/passenger/abstract_server.rb:147:in "start_synchro

)

in
320:

282:

280:
280:

278:
278:

in
in
in

in
in
in
147:

in
in
in
in
in
in

in

in

in

in
in

in
in

in

“dispatch'

‘process_reque

‘main_loop'

‘start_req
‘handle_sp
“fork!
“handle_sp
“fork!
‘handle_sp

*__send_ '
"main_loop'
“start_synchro

“start!
“fork!
‘start!

‘start!

.4/1ib/passenger/framework_spawner.rb:278:in “handle_spaw
.4/1lib/passenger/framework_spawner.rb:273:1in " synchronize
.4/1ib/passenger/framework_spawner.rb:273:in "handle_spaw

*__send_ '
‘main_loop'
‘start_synchro

‘start!
“fork!

“start!
104:in

“start!

‘spawn_applicati

“synchronize'

‘spawn_applicati

"handle_spawn_ap

) send__"'

500 Internal Serv
er Error [http://somesite/redmine]

Maybe it's because the https server does not have a signed certificate.

Related issues:
Is duplicate of Redmine - Defect #787: Subversion: Handle failed certificate ...

Closed

2008-03-04

History

#1 - 2008-05-06 20:47 - Jean-Philippe Lang

Yes, accept the server certificate manually then retry.
Same as #787.

#2 - 2008-05-06 21:38 - Philippe Lafoucriére
yup,

really sorry, | don't know why | didn't find the previous ticket.

Philippe

#3 - 2008-05-14 18:51 - Jean-Philippe Lang

- Status changed from New to Closed

See #1235 and the FAQ.
https://www.redmine.org/issues/787
https://www.redmine.org/issues/1235
https://www.redmine.org/projects/redmine/wiki/FAQ
http://www.tcpdf.org

